# Changelog DTS 4132 / TSB 4132
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)

Guiding Principles:
see https://keepachangelog.com/en/1.0.0/#how

Possible log types:  
- [Update instructions] for essential requirements, instructions and information about the software update procedure  
- [Added] for new features  
- [Changed] for changes in existing functionality. Improvements should appear under the 'changed' section  
- [Deprecated] for once-stable features removed in upcoming releases  
- [Removed] for now removed in this release  
- [Fixed] for any bug fixes  
- [Security]  in case of vulnerabilities or other security related changes  

## [03290119.010000.030206 / 15092023] 2023-09-15
### Update instructions
**Former version has to be at or above 27022019!**  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed

### Deprecated

### Removed

### Fixed
- Serial output missing telegrams fixed  

### Security

## [03290119.010000.030205 / 27022019] 2019-05-10
### Update instructions
Update is recommended for users of SNMP or SSH  
First step: Update **rootfsxxx4132.img**, **uImagexxx4132** and **xxx4132app.img** image. (xxx = DTS or TSB)  
Second step: After reboot update **xxx4132cfg.img**.   
See also Bx-801104.07 or higher: chapter 7

### Added
- Features: SNMP V1 and V2c deselectable  
- 
### Changed
- Update dropbear (SSH)  
- Update ntp  
- Update snmp  
- Update openssl  

### Deprecated

### Removed

### Fixed
- Bugfix: SNMP IPv6  

### Security

## [02270315.010000.020004 / 02072018] 2018-07-05
### Update instructions
Update is only needed for users which need switch programs  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed

### Deprecated

### Removed

### Fixed
- Fix configuration of switch functionality  

### Security

## [02270315.010000.020002 / 16092015] 2015-09-16
### Update instructions
An update is recommended for all users  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed

### Deprecated

### Removed

### Fixed
- Fixed line current measurement for MBL, impulse- and DCF active line  
- Fixed impulse line for longer pulse duration >10sec  


### Security

## [02270315.010000.020002 / 10082015] 2015-08-10
### Update instructions
An update is recommended for all users.  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed
- First official release  

### Deprecated

### Removed

### Fixed

### Security

## [01270315.010000.020001 / 14072015] 2015-07-13
### Update instructions
An update is recommended for all users.  
See also Bx-801104.07 or higher: chapter 7  

### Added

### Changed
- First official release  

### Deprecated

### Removed

### Fixed

### Security

